%define name    filelight
%define version 1.0
%define release 0.beta6.1mdk
%define Summary Graphical disk usage statistics

%define section System/Monitoring
%define title Filelight

# Work around for different libtool use in kde 
%define __libtoolize true

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release

License: GPL
Group: Monitoring
Source: filelight-%{version}-beta6.tar.bz2
Url: http://www.methylblue.com/filelight
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel

%description
Filelight graphically represents a file system as a set of concentric
segmented-rings, indicating where diskspace is being used. Segments expanding
from the center represent files (including directories), with each segment's
size being proportional to the file's size and  directories having child
segments. Filelight performs a similar function to KDirstat, but in a more
compact fashion.

%prep
%setup -q -nfilelight-%{version}-beta6

%build
%configure --disable-rpath
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="%{section}" \
title="%{title}" \
longtitle="%{Summary}"
EOF

#mdk icons
install -D -m 644 %{buildroot}%{_iconsdir}/crystalsvg/48x48/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/crystalsvg/22x22/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/crystalsvg/22x22/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_datadir}/apps/filelight/*.rc

%{_datadir}/config/filelightrc
%{_datadir}/icons/*/*/apps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_datadir/services/*.desktop

%_datadir/icons/crystalsvg/32x32/actions/view_filelight.png

%_datadir/applications/kde/*.desktop

%dir %_docdir/HTML/en/filelight/
%doc %_docdir/HTML/en/filelight/common
%doc %_docdir/HTML/en/filelight/*.png
%doc %_docdir/HTML/en/filelight/*.bz2
%doc %_docdir/HTML/en/filelight/*.docbook

%changelog
* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta6.1mdk
- beta6

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta5.1mdk
- beta5

* Wed Nov 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta4

* Tue Jul 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta2.1mdk
- beta2

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.beta1.2mdk
- rebuild

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta1.1mdk
- 1.0-beta1

* Mon Feb 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-3mdk
- change menu section (Nicholas Brown)

* Fri Jan 23 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.4-2mdk
- quiet setup

* Thu Jan 22 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.6.4-1mdk
- First Mandrake package release
